# BEGIN SourceDeps(oneline):
BuildRequires: perl(FindBin.pm) perl(overload.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:		perl-Package-Anon
Version:	0.05
Release:	alt1_3
Summary:	Anonymous packages
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/Package-Anons/
Source0:	http://search.cpan.org/CPAN/authors/id/A/AU/AUGGY/Package-Anon-%{version}.tar.gz
# Build
BuildRequires:	perl(ExtUtils/MakeMaker.pm)
# Module
BuildRequires:	perl
BuildRequires:	perl(Scalar/Util.pm)
BuildRequires:	perl(XSLoader.pm)
# Test suite
BuildRequires:	perl(lib.pm)
BuildRequires:	perl(Sub/Exporter.pm)
BuildRequires:	perl(Test/More.pm)
# Release tests
BuildRequires:	perl(Pod/Coverage/TrustPod.pm)
BuildRequires:	perl(Test/EOL.pm)
BuildRequires:	perl(Test/NoTabs.pm)
BuildRequires:	perl(Test/Pod/Coverage.pm)
BuildRequires:	perl(Test/Pod.pm)

# Avoid private object provides

Source44: import.info

%description
This module allows for anonymous packages that are independent of the main
namespace and only available through an object instance, not by name.

%prep
%setup -q -n Package-Anon-%{version}

%build
perl Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor OPTMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
# %{_fixperms} %{buildroot}

%check
make test RELEASE_TESTING=1

%files
%doc Changes LICENSE README
%{perl_vendorarch}/auto/Package/
%{perl_vendorarch}/Package/

%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1_3
- initial fc import

